EPR_Field Struct Reference

Represents a field within a record. More...

`#include <epr_api.h>`

## Data Fields

EPR_Magic | magic
| The magic number for this structure.
EPR_SFieldInfo * | info
| The corresponding field info for this field.
void * | elems
| The elements of this field.

## Detailed Description

Represents a field within a record.

A field is composed of one or more data elements of one of the types defined in the in `field_info`.

See also
  EPR_Record

## Field Documentation

## magic

EPR_Magic EPR_Field::magic

The magic number for this structure.

IMPORTANT: This must always be the first member of this structure.

## info

EPR_SFieldInfo* EPR_Field::info

The corresponding field info for this field.

supplierCardinality 1

## elems

void* EPR_Field::elems

The elements of this field.

In order to use the data, this member must be casted to one of the following array data types:

1. `unsigned char*` - array of unsigned 8-bit integer elements
2. `char*` - array of signed 8-bit integer fields
3. `unsigned short*` - array of unsigned 16-bit integer elements
4. `short*` - array of signed 16-bit integer elements
5. `unsigned int*` - array of unsigned 32-bit integer elements
6. `int*` - array of signed 32-bit integer elements
7. `float*` - array of signed 32-bit floating point elements
8. `double*` - array of signed 64-bit floating point elements
9. `EPR_STime*` - array of MJD elements

Dedicated access routine are available The element type is given by `info->data_type_id` and the array length by `info->num_elems`.

The documentation for this struct was generated from the following file:

- epr_api.h